﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Configuration;

namespace XrmLibrary.ConfigFile
{
    public class AdapterInstance : ConfigurationElement
    {
        private const String KeyName = "key";
        [ConfigurationProperty(KeyName, DefaultValue = "", IsKey = true, IsRequired = true)]
        public String Key
        {
            get { return (String)base[KeyName]; }
            set { base[KeyName] = value; }
        }

        private const String ValueName = "value";
        [ConfigurationProperty(ValueName, DefaultValue = "", IsKey = false, IsRequired = true)]
        public String Value
        {
            get { return (String)base[ValueName]; }
            set { base[ValueName] = value; }
        }
    }
}
