﻿using System;

namespace XrmLibrary.Exceptions
{
    public class XrmLibraryException : Exception
    {
        public XrmLibraryExceptionContext Context { get; private set; }

        private XrmLibraryException() : base()
        {}

        public XrmLibraryException(String message, XrmLibraryExceptionContext context = null) : base(message)
        {
            Context = context;
        }

        public XrmLibraryException(String message, Exception innerException, XrmLibraryExceptionContext context = null) : base(message, innerException)
        {
            Context = context;
        }
    }
}
