﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace XrmLibrary.Configurations
{
    public class DynamicInstanceConfiguration : Dictionary<String, String>
    {
        private String _instanceName;

        public String InstanceName
        { 
            get { return _instanceName; }
        }

        private DynamicInstanceConfiguration(String instanceName)
        {
            _instanceName = instanceName;
        }

        public static DynamicInstanceConfiguration Instantiate(String instanceName)
        {
            return new DynamicInstanceConfiguration(instanceName);
        }
    }
}
