﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using XrmLibrary.Enums.Attributes;

namespace XrmLibrary.Enums
{
    public enum XrmLibraryExceptionContextReason { MultipleMatchingRecords, ZeroMatchingRecords }
    public enum CredentialStoreType { config, database, none }
    public enum LogType
    {
        [EnumDescription("DEBUG")]
        Debug,
        [EnumDescription("SUCCESS")]
        Success,
        [EnumDescription("INFO")]
        Info,
        [EnumDescription("WARN")]
        Warn,
        [EnumDescription("ERROR")]
        Error,
        [EnumDescription("FATAL")]
        Fatal
    }
}
